import bz2
import os
import sys


def read_file(filename):
    try:
        f = open(filename, "rb")
    except IOError as e:
        print(e.errno, e.message)
    else:
        data = f.read()
        f.close()
        return data


def write_file(filename, data):
    try:
        f = open(filename, "wb")
    except IOError as e:
        print(e.errno, e.message)
    else:
        f.write(data)
        f.close()


def compress(filename):
    data = read_file(filename)
    
    if data is not None:
        f = open(filename + ".bz2", "wb")
        f.write(bz2.compress(data))
        f.close()


def decompress(filename):
    data = read_file(filename)
    
    if data is not None:
        write_file(filename[:filename.rfind(".bz2")],
                   bz2.decompress(data))


if len(sys.argv) > 1:
    for filename in sys.argv[1:]:
        if os.path.exists(filename):
            if filename.lower().endswith(".bz2"):
                decompress(filename)
            else:
                compress(filename)
        else:
            print("No se ha encontrado", filename)
else:
    print("No se ha encontrado ningún archivo.")
