import gzip
import os
import sys


def read_file(filename):
    try:
        f = open(filename, "rb")
    except IOError as e:
        print(e.errno, e.message)
    else:
        data = f.read()
        f.close()
        return data


def write_file(filename, data):
    try:
        f = open(filename, "wb")
    except IOError as e:
        print(e.errno, e.message)
    else:
        f.write(data)
        f.close()


def compress(filename):
    data = read_file(filename)
    
    if data is not None:
        f = gzip.open(filename + ".gz", "wb")
        f.write(data)
        f.close()


def decompress(filename):
    f = gzip.open(filename)
    write_file(filename[:filename.rfind(".gz")], f.read())
    f.close()


if len(sys.argv) > 1:
    for filename in sys.argv[1:]:
        if os.path.exists(filename):
            if filename.lower().endswith(".gz"):
                decompress(filename)
            else:
                compress(filename)
        else:
            print("No se ha encontrado", filename)
else:
    print("No se ha encontrado ningún archivo.")
