from zipfile import BadZipfile, ZipFile
import os
import sys


def compress(filename):
    with ZipFile(filename + ".zip", "w") as f:
        arcname = filename.replace("\\", "/")
        arcname = arcname[arcname.rfind("/") + 1:]
        f.write(filename, arcname)


def decompress(filename, pwd=None):
    with ZipFile(filename) as f:
        try:
            f.extractall(os.getcwd(), pwd=pwd)
        except RuntimeError:
            pwd = input("Clave para %s: " % filename)
            decompress(filename, pwd=pwd)


if len(sys.argv) > 1:
    for filename in sys.argv[1:]:
        if os.path.exists(filename):
            try:
                decompress(filename)
            except BadZipfile:
                compress(filename)
        else:
            print("No se ha encontrado", filename)
else:
    print("No se ha encontrado ningún archivo.")
